#ifndef _KGR_PATCH_BSC1180008_H
#define _KGR_PATCH_BSC1180008_H

#if IS_ENABLED(CONFIG_XEN_BLKDEV_BACKEND)

int kgr_patch_bsc1180008_init(void);
void kgr_patch_bsc1180008_cleanup(void);


struct xen_blkif;

int kgrp_xen_blkif_disconnect(struct xen_blkif *blkif);

#define KGR_PATCH_BSC1180008_FUNCS					\
	KGR_PATCH_OBJ(xen_blkif_disconnect, kgrp_xen_blkif_disconnect,	\
		      "xen_blkback"),					\

#else /* !IS_ENABLED(CONFIG_XEN_BLKDEV_BACKEND) */

static inline int kgr_patch_bsc1180008_init(void) { return 0; }

static inline void kgr_patch_bsc1180008_cleanup(void) {}

#define KGR_PATCH_BSC1180008_FUNCS

#endif /* IS_ENABLED(CONFIG_XEN_BLKDEV_BACKEND) */
#endif /* _KGR_PATCH_BSC1180008_H */
